SSL_set_bio(3) | OpenSSL | SSL_set_bio(3)

# NAME

SSL_set_bio - connect the SSL object with a BIO

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/ssl.h>
void SSL_set_bio(SSL *ssl, BIO *rbio, BIO *wbio);

# DESCRIPTION

SSL_set_bio() connects the BIOs rbio and wbio for the read and write operations of the TLS/SSL (encrypted) side of ssl.

The SSL engine inherits the behaviour of rbio and wbio, respectively. If a BIO is non-blocking, the ssl will also have non-blocking behaviour.

If there was already a BIO connected to ssl, BIO_free() will be called (for both the reading and writing side, if different).

# RETURN VALUES

SSL_set_bio() cannot fail.

# SEE ALSO

SSL_get_rbio(3), SSL_connect(3), SSL_accept(3), SSL_shutdown(3), ssl(3), openssl_bio(3)

2009-07-19 | 1.0.1u